package com.palmnest.model.release;

import javax.persistence.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 物品放行
 *
 * @author qzy
 */

@Entity
@Table(name = "tb_goods_release")
public class GoodsRelease implements Serializable {


	private static final long serialVersionUID = 4122389862720831352L;

	private Long    id;
	private String  code;//放行单编号
	private String processName;//流程名称
	private Long    releaseType;//放行类型(1 家私电器类 5杂物货物类)
	private String  applyUser;//'申请人姓名',
	private String  applyTel;//'申请人手机号',
	private Long    companyid;//'放行企业Id',
	private Long    remanId;//'企业负责人Id',--一般有两个人，这里暂时不存值
	private String  releaseDesc;//'放行描述',
	private String  applypicUrl;//'申请图片+描述',
	private String  releasepicUrl;//'申请图片+描述',
	private Integer releaseStatus;//放行状态(1 待放行 5 已放行 10审核中 15 已拒绝)
	private String  creator;            //创建者单据id
	private Long    creatorBillId;            //创建者Id  是Id 不是openId


	private Date   createTime;        //创建日期
	private String modifier;        //修改者
	private Date   modifyTime;        //修改日期

	private Date    releaseDate;//放行时间
	private Long    releaseUser;//放行人-安保 管理用户里面的
	private String  companyHeadUser;//企业负责人姓名
	private Integer orgId;//项目ID
	private String  virAccountId;//企业账户ID
	private Integer userId;//申请人ID
	private String  releaseUserName;//放行人姓名
	private String  symptomName;
	private Integer passNum = 0;

	private String  nativePlace;//籍贯  ---->省市县
	private String  nativePlaceNumber;//籍贯  ---->省市县
	private Integer personType;//人员类型 1-留在本市人员 2-返回本本市人员
	private String  leaveCityTime;
	private String  returnCityTime;
	private String  habitation;//春节居住地 ---->省市县
	private String  habitationNumber;//春节居住地 ---->省市县

	private Integer isToepidemic;//有无去过疫情严重区域
	private Integer isSevenDayCheckResult;//7日内核酸检测是否为阴 1是 0否

	private String  isHaveSymptom;//是否有如下症状
	private Integer applyType;//复工类型

	private Integer type;
	private Integer roleId;
	private String roleName;
	private Integer sort;

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Column(name = "code")
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "release_type")
	public Long getReleaseType() {
		return releaseType;
	}

	public void setReleaseType(Long releaseType) {
		this.releaseType = releaseType;
	}

	@Column(name = "apply_user")
	public String getApplyUser() {
		return applyUser;
	}

	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}

	@Column(name = "apply_tel")
	public String getApplyTel() {
		return applyTel;
	}

	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}

	@Column(name = "companyid")
	public Long getCompanyid() {
		return companyid;
	}

	public void setCompanyid(Long companyid) {
		this.companyid = companyid;
	}

	@Column(name = "remanId")
	public Long getRemanId() {
		return remanId;
	}

	public void setRemanId(Long remanId) {
		this.remanId = remanId;
	}

	@Column(name = "release_desc")
	public String getReleaseDesc() {
		return releaseDesc;
	}

	public void setReleaseDesc(String releaseDesc) {
		this.releaseDesc = releaseDesc;
	}

	@Column(name = "applypic_url")
	public String getApplypicUrl() {
		return applypicUrl;
	}

	public void setApplypicUrl(String applypicUrl) {
		this.applypicUrl = applypicUrl;
	}

	@Column(name = "releasepic_url")
	public String getReleasepicUrl() {
		return releasepicUrl;
	}

	public void setReleasepicUrl(String releasepicUrl) {
		this.releasepicUrl = releasepicUrl;
	}

	@Column(name = "release_status")
	public Integer getReleaseStatus() {
		return releaseStatus;
	}

	public void setReleaseStatus(Integer releaseStatus) {
		this.releaseStatus = releaseStatus;
	}


	@Column(name = "creatorBillId")
	public Long getCreatorBillId() {
		return creatorBillId;
	}

	public void setCreatorBillId(Long creatorBillId) {
		this.creatorBillId = creatorBillId;
	}

	@Column(name = "creator")
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "modifier")
	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	@Column(name = "modify_time")
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@Column(name = "releaseDate")
	public Date getReleaseDate() {
		return releaseDate;
	}

	public void setReleaseDate(Date releaseDate) {
		this.releaseDate = releaseDate;
	}

	@Column(name = "releaseUser")
	public Long getReleaseUser() {
		return releaseUser;
	}

	public void setReleaseUser(Long releaseUser) {
		this.releaseUser = releaseUser;
	}

	@Column(name = "company_headuser")
	public String getCompanyHeadUser() {
		return companyHeadUser;
	}

	public void setCompanyHeadUser(String companyHeadUser) {
		this.companyHeadUser = companyHeadUser;
	}

	@Column(name = "orgId")
	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	@Column(name = "virAccountId")
	public String getVirAccountId() {
		return virAccountId;
	}

	public void setVirAccountId(String virAccountId) {
		this.virAccountId = virAccountId;
	}

	@Column(name = "userId")
	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	@Column(name = "type")
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "roleId")
	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	@Column(name = "sort")
	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	@Column(name = "releaseUserName")
	public String getReleaseUserName() {
		return releaseUserName;
	}

	public void setReleaseUserName(String releaseUserName) {
		this.releaseUserName = releaseUserName;
	}

	public String getNativePlace() {
		return nativePlace;
	}

	public void setNativePlace(String nativePlace) {
		this.nativePlace = nativePlace;
	}

	public Integer getPersonType() {
		return personType;
	}

	public void setPersonType(Integer personType) {
		this.personType = personType;
	}

	public String getLeaveCityTime() {
		return leaveCityTime;
	}

	public void setLeaveCityTime(String leaveCityTime) {
		this.leaveCityTime = leaveCityTime;
	}

	public String getReturnCityTime() {
		return returnCityTime;
	}

	public void setReturnCityTime(String returnCityTime) {
		this.returnCityTime = returnCityTime;
	}

	public String getHabitation() {
		return habitation;
	}

	public void setHabitation(String habitation) {
		this.habitation = habitation;
	}

	public Integer getIsToepidemic() {
		return isToepidemic;
	}

	public void setIsToepidemic(Integer isToepidemic) {
		this.isToepidemic = isToepidemic;
	}

	public String getIsHaveSymptom() {
		return isHaveSymptom;
	}

	public void setIsHaveSymptom(String isHaveSymptom) {
		this.isHaveSymptom = isHaveSymptom;
	}

	public Integer getApplyType() {
		return applyType;
	}

	public void setApplyType(Integer applyType) {
		this.applyType = applyType;
	}

	public String getSymptomName() {
		return symptomName;
	}

	public void setSymptomName(String symptomName) {
		this.symptomName = symptomName;
	}

	public Integer getPassNum() {
		return passNum;
	}

	public void setPassNum(Integer passNum) {
		this.passNum = passNum;
	}

	public String getNativePlaceNumber() {
		return nativePlaceNumber;
	}

	public void setNativePlaceNumber(String nativePlaceNumber) {
		this.nativePlaceNumber = nativePlaceNumber;
	}

	public String getHabitationNumber() {
		return habitationNumber;
	}

	public void setHabitationNumber(String habitationNumber) {
		this.habitationNumber = habitationNumber;
	}

	public Integer getIsSevenDayCheckResult() {
		return isSevenDayCheckResult;
	}

	public void setIsSevenDayCheckResult(Integer isSevenDayCheckResult) {
		this.isSevenDayCheckResult = isSevenDayCheckResult;
	}

	@Column(name = "processName")
	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}


	@Column(name = "roleName")
	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
}
